Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 3274 - mountd with the new --port option only allows one version to start on a port
Summary: mountd with the new --port option only allows one version to start on a port
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: nfs-utils
Version: 7.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-06-04 19:37 UTC by keithu@parl.clemson.edu
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-01-24 18:07:56 UTC


Attachments (Terms of Use)

Description keithu@parl.clemson.edu 1999-06-04 19:37:29 UTC
I am grateful for the new knfsd-1.3.3 as it simplifies life
behind our firewall.  Unfortunately, when starting mountd
with the --port option, it attempts to start both version 1
and version 2 of mountd on that port and the daemon does not
seem to be designed to handle both versions on a single
port.  This results in a failed start with an error message
that the address is already in use.  A work around is to
start just the verson 1 server (this seems to be the one
most applications care about), or to use multiple
invocations to get multiple versions (each listening on a
different port).  However, it would be nice for mountd to
maintain the behavior of the user level nfs-server and start
both (all) versions on the single port.

Comment 1 Cristian Gafton 2000-08-09 02:35:00 UTC
assigned to johnsonm

Comment 2 Stephen John Smoogen 2003-01-24 18:07:56 UTC
Bug 3274 is being closed as it seems that this has been fixed in the latest
versions of nfs-utils. 


Note You need to log in before you can comment on or make changes to this bug.